I was getting tired of all the yellow warnings shown by npm run. These warnings are thrown when code is not complaint with ES6 rules. It turns out that it is simple to add an extension and make the code automatically compliant.

  1. Hold Ctrl+Shift+P, and choose Install Extensions
  2. Install the ESLint extension by Dirk Baeumer
  3. Go to File > Preferences > Settings
  4. Click on the icon marked in the image below.
  5. Add these 4 new lines inside the top-level settings object:
{
  // ...
  "eslint.format.enable": true,
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": true
  }
}